﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace GPStoGoogleMapDesktop
{
    class BingLayer : BingMapsLayer
    {
        public BingLayer()
        {

        }
        public BingLayer(string applicationId)
            : base(applicationId)
        {

        }
        public BingLayer(string applicationId, BingMapsMapType mapType)
            : base(applicationId, mapType)
        {

        }
        public BingLayer(string applicationId, BingMapsMapType mapType, string cacheDirectory)
            : base(applicationId, mapType, cacheDirectory)
        {

        }
        public BingLayer(string applicationId, BingMapsMapType mapType, string cacheDirectory, BingMapsLogoMode logoMode)
            : base(applicationId, mapType, cacheDirectory, logoMode)
        {

        }
        protected override void DrawExceptionCore(GeoCanvas canvas, Exception e)
        {
            //base.DrawExceptionCore(canvas, e);
            MessageBox.Show("End of Cache");
        }

        protected override void DrawCore(GeoCanvas canvas, System.Collections.ObjectModel.Collection<SimpleCandidate> labelsInAllLayers)
        {
            try
            {
                base.DrawCore(canvas, labelsInAllLayers);
            }
            catch
            {
                string temp = "34234";
            }
        }
    }
}
